<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hacknet](./bitburner.ns.hacknet.md)

## NS.hacknet property

Namespace for hacknet functions. Some of this API contains spoilers.

**Signature:**

```typescript
readonly hacknet: Hacknet;
```

## Remarks

RAM cost: 4 GB.

